Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh
Interface PostTransferParams

All Superinterfaces:
  com.stc.connector.TransferParams

All Known Implementing Classes:
  PostTransferParamsImpl

    public interface PostTransferParams

extends com.stc.connector.TransferParams

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`java.lang.String` | `getLocalCommand()` return the operation name that will be performed on the local end before the file transfer.
`java.lang.String` | `getLocalDirName()` return the local directory name `LocalDirName`;
`boolean` | `getLocalDirNameIsPattern()` return a boolean indicating if `LocalDirName` is a batch name pattern or not.
`java.lang.String` | `getLocalFileName()` return the value for `LocalFileName`;
`boolean` | `getLocalFileNameIsPattern()` return a boolean value indicating if the `LocalFileName` is a batch name pattern or not;
`java.lang.String` | `getRemoteCommand()` return the operation name that will be performed on the remote end before the file transfer.
`java.lang.String` | `getRemoteDirName()` return the remote directory name `RemoteDirName`;
`boolean` | `getRemoteDirNameIsPattern()` return a boolean indicating if the `RemoteDirName` is a batch name pattern or not.
`java.lang.String` | `getRemoteFileName()` return the value for `RemoteFileName`;
`boolean` | `getRemoteFileNameIsPattern()` return a boolean value indicating if the `RemoteFileName` is a batch name pattern or not;
`void` | `setLocalCommand(java.lang.String cmd)` set the local end command to `cmd`;
`void` | `setLocalDirName(java.lang.String dir)` set remote directory name.
`void` | `setLocalDirNameIsPattern(boolean b)` set the boolean flag indicating if the `LocalDirName` is a batch name pattern;
`void` | `setLocalFileName(java.lang.String file)` set the name (could be a name pattern) of the local file name as Post Transfer operation parameter.
`void` | `setLocalFileNameIsPattern(boolean b)` set the flag indicating if `LocalFileName` is a name pattern;
`void` | `setRemoteCommand(java.lang.String cmd)` set the remote command to `cmd`;
`void` | `setRemoteDirName(java.lang.String dir)` set remote directory name `RemoteDirName`.
`void` | `setRemoteDirNameIsPattern(boolean b)` set the boolean flag indicating if the `RemoteDirName` is a batch name pattern;
`void` | `setRemoteFileName(java.lang.String file)` set the name (could be a name pattern) of the remote file name `RemoteFileName` as Post Transfer operation parameter.
`void` | `setRemoteFileNameIsPattern(boolean b)` set the flag indicating if `RemoteFileName` is a name pattern;

Method Detail

### getRemoteCommand

    java.lang.String getRemoteCommand()

  return the operation name that will be performed on the remote end before the file transfer.

  Specified by:
    `getRemoteCommand` in interface `com.stc.connector.TransferParams`
  Returns:
    - the command: "None", "Rename", "Delete", if the instance is for Post Transfer;

### getRemoteDirName

    java.lang.String getRemoteDirName()

  return the remote directory name `RemoteDirName`;

  Specified by:
    `getRemoteDirName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured remote directory name `RemoteDirName` (could be a batch name pattern which has to be expanded into a real remote directory name);

### getRemoteDirNameIsPattern

    boolean getRemoteDirNameIsPattern()

  return a boolean indicating if the `RemoteDirName` is a batch name pattern or not.

  Specified by:
    `getRemoteDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `RemoteDirName` is a batch name pattern, false - the value for the `RemoteDirName` is taken as a literal;

### getRemoteFileName

    java.lang.String getRemoteFileName()

  return the value for `RemoteFileName`;

  Specified by:
    `getRemoteFileName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured remote file name `RemoteFileName` (could be a batch name pattern which has to be expanded into a real remote file name);

### getRemoteFileNameIsPattern

    boolean getRemoteFileNameIsPattern()

  return a boolean value indicating if the `RemoteFileName` is a batch name pattern or not;

  Specified by:
    `getRemoteFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `RemoteFileName` is a batch name pattern, false - the value for the `RemoteFileName` is taken as a literal;

### setRemoteCommand

    void setRemoteCommand(java.lang.String cmd)

  set the remote command to `cmd`;

  Specified by:
    `setRemoteCommand` in interface `com.stc.connector.TransferParams`
  Parameters:
    `cmd` - - "None", "Rename", "Delete", the Post transfer command;

### setRemoteDirName

    void setRemoteDirName(java.lang.String dir)

  set remote directory name `RemoteDirName`.

  Specified by:
    `setRemoteDirName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `dir` - - the remote directory name `RemoteDirName` could be a name pattern

### setRemoteDirNameIsPattern

    void setRemoteDirNameIsPattern(boolean b)

  set the boolean flag indicating if the `RemoteDirName` is a batch name pattern;

  Specified by:
    `setRemoteDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` - - true - the `RemoteDirName` is a name pattern, false - not a pattern;

### setRemoteFileName

    void setRemoteFileName(java.lang.String file)

  set the name (could be a name pattern) of the remote file name `RemoteFileName` as Post Transfer operation parameter.

  Specified by:
    `setRemoteFileName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `file` - - the file name;

### setRemoteFileNameIsPattern

    void setRemoteFileNameIsPattern(boolean b)

  set the flag indicating if `RemoteFileName` is a name pattern;

  Specified by:
    `setRemoteFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` -

### getLocalCommand

    java.lang.String getLocalCommand()

  return the operation name that will be performed on the local end before the file transfer.

  Specified by:
    `getLocalCommand` in interface `com.stc.connector.TransferParams`
  Returns:
    - the command: "None", "Rename", "Delete", if the instance is for Post Transfer;

### getLocalDirName

    java.lang.String getLocalDirName()

  return the local directory name `LocalDirName`;

  Specified by:
    `getLocalDirName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured local directory name (could be a batch name pattern which has to be expanded into a real local directory name);

### getLocalDirNameIsPattern

    boolean getLocalDirNameIsPattern()

  return a boolean indicating if `LocalDirName` is a batch name pattern or not.

  Specified by:
    `getLocalDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `LocalDirName` is a batch name pattern, false - the value for the `LocalDirName` is taken as a literal;

### getLocalFileName

    java.lang.String getLocalFileName()

  return the value for `LocalFileName`;

  Specified by:
    `getLocalFileName` in interface `com.stc.connector.TransferParams`
  Returns:
    - the configured local file name (could be a batch name pattern which has to be expanded into a real local file name);

### getLocalFileNameIsPattern

    boolean getLocalFileNameIsPattern()

  return a boolean value indicating if the `LocalFileName` is a batch name pattern or not;

  Specified by:
    `getLocalFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Returns:
    - true - the value for `LocalFileName` is a batch name pattern, false - the value for the `LocalFileName` is taken as a literal;

### setLocalCommand

    void setLocalCommand(java.lang.String cmd)

  set the local end command to `cmd`;

  Specified by:
    `setLocalCommand` in interface `com.stc.connector.TransferParams`
  Parameters:
    `cmd` - - "None", "Rename", "Delete", the Post transfer command;

### setLocalDirName

    void setLocalDirName(java.lang.String dir)

  set remote directory name.

  Specified by:
    `setLocalDirName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `dir` -

### setLocalDirNameIsPattern

    void setLocalDirNameIsPattern(boolean b)

  set the boolean flag indicating if the `LocalDirName` is a batch name pattern;

  Specified by:
    `setLocalDirNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` - - true - the `LocalDirName` is a name pattern, false - not a pattern;

### setLocalFileName

    void setLocalFileName(java.lang.String file)

  set the name (could be a name pattern) of the local file name as Post Transfer operation parameter.

  Specified by:
    `setLocalFileName` in interface `com.stc.connector.TransferParams`
  Parameters:
    `file` - - the file name;

### setLocalFileNameIsPattern

    void setLocalFileNameIsPattern(boolean b)

  set the flag indicating if `LocalFileName` is a name pattern;

  Specified by:
    `setLocalFileNameIsPattern` in interface `com.stc.connector.TransferParams`
  Parameters:
    `b` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD